<nav class="navbar navbar-expand-sm bg-dark navbar-dark">
  <a class="navbar-brand" href="#">Logo</a>
  <ul class="navbar-nav">
    <li class="nav-item">
      <a class="nav-link" href="#">About Us</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" routerLink="/product-list">Products</a>
    </li>     
  </ul>
    <ul class="navbar-nav ml-auto">
       <li class="nav-item">
        <a *ngIf="isLoggedIn" class="nav-link"> Welcome {{LoggedInUser}}</a>        
       </li>
        <li class="nav-item">
        <a *ngIf="isLoggedIn" class="nav-link" routerLink="/cart-details"><i class="fa fa-shopping-cart" routerLink="/cart-details" style="color:white"></i></a>        
       </li>
    <li class="nav-item">
      <a *ngIf="!isLoggedIn"class="nav-link" routerLink="/login">Login</a>
       <a *ngIf="isLoggedIn" class="nav-link" (click) = "logout()" style="cursor:pointer">Logout</a>
    </li>
    </ul>  
</nav>